Subject: Re: What's cooking in git.git (Sep 2018, #02; Tue, 11)

From: Stephen & Linda Smith <[email-masked]>
Date: Wed, 12 Sep 2018 04:39:34 -0700

On Wednesday, September 12, 2018 12:13:23 AM MST Junio C Hamano wrote:
> Stephen & Linda Smith <[email-masked]> writes:
> > On Tuesday, September 11, 2018 3:20:19 PM MST Junio C Hamano wrote:
> >> * jc/wt-status-state-cleanup (2018-09-07) 1 commit
> >> 
> >>  - WIP: roll wt_status_state into wt_status and populate in the collect
> >> 
> >> phase (this branch uses ss/wt-status-committable.)
> >> 
> >> * ss/wt-status-committable (2018-09-07) 4 commits
> >> 
> >>  - wt-status.c: set the committable flag in the collect phase
> >>  - t7501: add test of "commit --dry-run --short"
> >>  - wt-status: rename commitable to committable
> >>  - wt-status.c: move has_unmerged earlier in the file
> >>  (this branch is used by jc/wt-status-state-cleanup.)
> > 
> > I note that the jc/wt-status-state-cleanup branch is a patch "for
> > illustration purposes only" [1].
> > 
> > I was about to update that patch to start dealing with the free() function
> > calls, but noted you added the patch.  Do you want me to take that patch
> > and continue on?  Or does someone else have something in progress?
> 
> I do not plan to.  
Ok ... from the wording I wasn't sure if there wasn't another developer 
working this.  I will pick up that patch and continue.

> In general, anything that is only in 'pu' is a
> fair game---when a better alternative appears, or a discussion leads
> to a conclusion that a change is unneeded, they are replaced and/or
> discarded.  Just think of them as being kept slightly better record
> of existence than merely being in the list archive, nothing more.

Thanks that confirmed my reading of the Documentation/gitworkflows.txt.